org.appng.appngizer.client

## Interface AppNGizerClient

- All Known Implementing Classes:
    AppNGizer

      public interface AppNGizerClient

  Interface for interacting with appNGizer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AppNGizerClient.Config` Utility class to read and write `Properties` from/to YAML or JSON files.
    `static class` | `AppNGizerClient.PropertyWrapper`
    `static class` | `AppNGizerClient.SiteConfig`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateApplication(String site, String app)`
    `Application` | `application(String app)`
    `Application` | `application(String site, String app)`
    `Properties` | `applicationProperties(String app)`
    `Properties` | `applicationProperties(String site, String app)`
    `Applications` | `applications()`
    `Applications` | `applications(String site)`
    `Property` | `createApplicationProperty(String app, Property property)`
    `Property` | `createApplicationProperty(String site, String app, Property property)`
    `Group` | `createGroup(Group group)`
    `Permission` | `createPermission(String app, Permission permission)`
    `Property` | `createPlatformProperty(Property property)`
    `Repository` | `createRepository(Repository repository)`
    `Role` | `createRole(String app, Role role)`
    `Site` | `createSite(Site site)`
    `Property` | `createSiteProperty(String site, Property property)`
    `Subject` | `createSubject(Subject subject)`
    `Database` | `database()`
    `void` | `deactivateApplication(String site, String app)`
    `void` | `deleteApplication(String app)`
    `void` | `deleteApplicationProperty(String app, String name)`
    `void` | `deleteApplicationProperty(String site, String app, String name)`
    `void` | `deleteGroup(String name)`
    `void` | `deletePermission(String app, String name)`
    `void` | `deletePlatformProperty(String name)`
    `void` | `deleteRepository(String name)`
    `void` | `deleteRole(String app, String name)`
    `void` | `deleteSite(String name)`
    `void` | `deleteSiteProperty(String site, String name)`
    `void` | `deleteSubject(String name)`
    `Properties` | `environment()`
    `Package` | `getPackage(String name, String packageName, String version, String timeStamp)`
    `Packages` | `getPackages(String name, String packageName)`
    `Group` | `group(String name)`
    `Groups` | `groups()`
    `Database` | `initializeDatabase()`
    `Package` | `installPackage(String name, Package packageToInstall)`
    `Home` | `login()`
    `Permission` | `permission(String app, String name)`
    `Permissions` | `permissions(String app)`
    `Properties` | `platformProperties()`
    `Property` | `platformProperty(String name)`
    `void` | `reloadSite(String name)`
    `Repositories` | `repositories()`
    `Repository` | `repository(String name)`
    `Role` | `role(String app, String name)`
    `Roles` | `roles(String app)`
    `Site` | `site(String name)`
    `Grants` | `siteGrants(String site, String app)`
    `Properties` | `siteProperties(String site)`
    `Property` | `siteProperty(String site, String name)`
    `Sites` | `sites()`
    `Subject` | `subject(String name)`
    `Subjects` | `subjects()`
    `Properties` | `system()`
    `Application` | `updateApplication(String app, Application application)`
    `Property` | `updateApplicationProperty(String app, Property property)`
    `Property` | `updateApplicationProperty(String site, String app, String name, Property property)`
    `Group` | `updateGroup(String name, Group group)`
    `Permission` | `updatePermission(String app, String name, Permission permission)`
    `Property` | `updatePlatformProperty(String name, Property property)`
    `Repository` | `updateRepository(String name, Repository repository)`
    `Role` | `updateRole(String app, String name, Role role)`
    `Site` | `updateSite(String name, Site site)`
    `Grants` | `updateSiteGrants(String site, String app, Grants grants)`
    `Property` | `updateSiteProperty(String site, String name, Property property)`
    `Subject` | `updateSubject(String name, Subject subject)`
    `Package` | `uploadPackage(String name, File archive)`
    `Home` | `welcome()`

- - ### Method Detail

    - #### welcome

          Home welcome()

    - #### login

          Home login()

    - #### subjects

          Subjects subjects()

    - #### subject

          Subject subject(String name)

    - #### createSubject

          Subject createSubject(Subject subject)

    - #### updateSubject

          Subject updateSubject(String name,
                                Subject subject)

    - #### deleteSubject

          void deleteSubject(String name)

    - #### groups

          Groups groups()

    - #### group

          Group group(String name)

    - #### createGroup

          Group createGroup(Group group)

    - #### updateGroup

          Group updateGroup(String name,
                            Group group)

    - #### deleteGroup

          void deleteGroup(String name)

    - #### applications

          Applications applications()

    - #### application

          Application application(String app)

    - #### updateApplication

          Application updateApplication(String app,
                                        Application application)

    - #### deleteApplication

          void deleteApplication(String app)

    - #### applicationProperties

          Properties applicationProperties(String app)

    - #### createApplicationProperty

          Property createApplicationProperty(String app,
                                             Property property)

    - #### updateApplicationProperty

          Property updateApplicationProperty(String app,
                                             Property property)

    - #### deleteApplicationProperty

          void deleteApplicationProperty(String app,
                                         String name)

    - #### roles

          Roles roles(String app)

    - #### role

          Role role(String app,
                    String name)

    - #### createRole

          Role createRole(String app,
                          Role role)

    - #### updateRole

          Role updateRole(String app,
                          String name,
                          Role role)

    - #### deleteRole

          void deleteRole(String app,
                          String name)

    - #### permissions

          Permissions permissions(String app)

    - #### permission

          Permission permission(String app,
                                String name)

    - #### createPermission

          Permission createPermission(String app,
                                      Permission permission)

    - #### updatePermission

          Permission updatePermission(String app,
                                      String name,
                                      Permission permission)

    - #### deletePermission

          void deletePermission(String app,
                                String name)

    - #### sites

          Sites sites()

    - #### site

          Site site(String name)

    - #### createSite

          Site createSite(Site site)

    - #### updateSite

          Site updateSite(String name,
                          Site site)

    - #### deleteSite

          void deleteSite(String name)

    - #### reloadSite

          void reloadSite(String name)

    - #### siteProperties

          Properties siteProperties(String site)

    - #### siteProperty

          Property siteProperty(String site,
                                String name)

    - #### createSiteProperty

          Property createSiteProperty(String site,
                                      Property property)

    - #### updateSiteProperty

          Property updateSiteProperty(String site,
                                      String name,
                                      Property property)

    - #### deleteSiteProperty

          void deleteSiteProperty(String site,
                                  String name)

    - #### applications

          Applications applications(String site)

    - #### application

          Application application(String site,
                                  String app)

    - #### activateApplication

          void activateApplication(String site,
                                   String app)

    - #### deactivateApplication

          void deactivateApplication(String site,
                                     String app)

    - #### siteGrants

          Grants siteGrants(String site,
                            String app)

    - #### updateSiteGrants

          Grants updateSiteGrants(String site,
                                  String app,
                                  Grants grants)

    - #### applicationProperties

          Properties applicationProperties(String site,
                                           String app)

    - #### createApplicationProperty

          Property createApplicationProperty(String site,
                                             String app,
                                             Property property)

    - #### updateApplicationProperty

          Property updateApplicationProperty(String site,
                                             String app,
                                             String name,
                                             Property property)

    - #### deleteApplicationProperty

          void deleteApplicationProperty(String site,
                                         String app,
                                         String name)

    - #### repositories

          Repositories repositories()

    - #### repository

          Repository repository(String name)

    - #### createRepository

          Repository createRepository(Repository repository)

    - #### updateRepository

          Repository updateRepository(String name,
                                      Repository repository)

    - #### deleteRepository

          void deleteRepository(String name)

    - #### installPackage

          Package installPackage(String name,
                                 Package packageToInstall)

    - #### getPackage

          Package getPackage(String name,
                             String packageName,
                             String version,
                             String timeStamp)

    - #### getPackages

          Packages getPackages(String name,
                               String packageName)

    - #### uploadPackage

          Package uploadPackage(String name,
                                File archive)
                         throws IOException

      Throws:
        `IOException`

    - #### platformProperties

          Properties platformProperties()

    - #### platformProperty

          Property platformProperty(String name)

    - #### createPlatformProperty

          Property createPlatformProperty(Property property)

    - #### updatePlatformProperty

          Property updatePlatformProperty(String name,
                                          Property property)

    - #### deletePlatformProperty

          void deletePlatformProperty(String name)

    - #### environment

          Properties environment()

    - #### system

          Properties system()

    - #### database

          Database database()

    - #### initializeDatabase

          Database initializeDatabase()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.